--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: kill
- !ruby/object:RI::AliasName 
  name: terminate
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Stops the trap handler thread and releases the socket.
- !ruby/struct:SM::Flow::P 
  body: See also Thread#exit.
full_name: SNMP::TrapListener#exit
is_singleton: false
name: exit
params: ()
visibility: public
